import ajax from '../utils/request.js';

/**
 * 登录
 * @param {object} ori 
 * @returns 
 */
export function login(ori) {
    return ajax({
        api: "/user/login",
        data: ori.data,
        method: 'POST',
    })
}

/**
 * 文案校对
 * @param {object} ori 
 * @returns 
 */
export function check(ori) {
    return ajax({
        api: "/api/check",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 热门话题
 * @param {object} ori 
 * @returns 
 */
export function hotRank(ori){
    return ajax({
        api: "/news/hotRank/list",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 检索新闻接口
 * @param {object} ori 
 * @returns 
 */
export function searchData(ori){
    return ajax({
        api: "/news/data/search",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 获得新闻分类
 * @param {object} ori 
 * @returns 
 */
export function getClass(ori){
    return ajax({
        api: "/news/data/category",
        data: ori.data,
        method: 'GET',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * h5商城接口
 * @param {Object} ori 
 * @returns 
 */
export function getH5Mall(ori) {
    return ajax({
        api: "/oridata.json?" + Date.now(),
        data: ori.data,
        base: "oss1",
        type: "ajax",
        method: 'GET',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 行政区划接口
 * @param {Object} ori 
 * @returns 
 */
export function getEconomize(ori) {
    return ajax({
        api: "/news/area/list",
        data: ori.data,
        type: "ajax",
        method: 'GET'
    })
}